<?php
/*
 * Este arquivo é responsável por atualizar a página de "Grupos de Anúncios" do sistema.
 * Para isso, ele faz uma pesquisa dos grupos de anúncios do cliente usando a API,
 * emitindo um JSON ao final.
 */

require_once(__DIR__ . "/../classes/Sistema.php"); 
set_sistema(Sistema::WIN7);
$sistema = new Sistema(true, true);

// Redireciona o cliente para a home caso ele não tenha permissão de acesso às campanhas do google
if($sistema->usuario->permissao_google == Usuario::PERM_NENHUMA) {echo "-2Permissão insuficiente para ver esta página!"; exit;}

// Validamos aqui se o filtro de pesquisa está correto
if(!Filtro::validar($_POST['data'], $_POST['datainicial'], $_POST['datafinal'])){
	echo "-2Filtro de pesquisa inválido";
	exit;
}

/* Esvazia-se as datas customizadas caso o filtro não seja personalizado */
if($_POST['data'] != "CUSTOM_DATE"){
	$_POST['datainicial'] = "";
	$_POST['datafinal'] = "";
}

try{
	if($sistema->usuario->tem_adwords()){ // Verificamos de o adwords do cliente está configurado

		$resultado = $sistema->adwords->consultar_grupos_cliente($sistema->usuario->id_adwords, $sistema->usuario->consultoria, isset($_POST['display']) & $_POST['display'] == 's', $_POST['data'], $_POST['datainicial'], $_POST['datafinal'], $sistema->usuario->moeda, $sistema->usuario->mostrar_somente_campanhas, $sistema->usuario->campanhas_visiveis);
		
		// Adicionamos ao resultado uma flag que indicará se o cliente é de consultoria
		array_unshift($resultado,$sistema->usuario->consultoria);
		
		echo json_encode_alt($resultado);
	}
	else{ // Nesse caso, o cliente não tem adwords configurado, retornamos então um resultado vazio
		echo json_encode_alt(array($sistema->usuario->consultoria));
		exit;
	}
}
catch(Exception $e){
	$sistema->adwords->tratar_excecao($e);
}
?>