<?php 
/*
 * Este arquivo é responsável por atualizar a página de "Palavras-chave" do sistema.
 * Para isso, ele faz uma pesquisa de todos as palavras-chave do grupo de anúncios configurado, e monta um
 * JSON contendo tal informação.
 */
 
require_once(__DIR__ . "/../classes/Sistema.php"); 
set_sistema(Sistema::WIN7);
$sistema = new Sistema(true, true);

// Redireciona o cliente para a home caso ele não tenha permissão de acesso às campanhas do google
if($sistema->usuario->permissao_google == Usuario::PERM_NENHUMA) {echo "-2Permissão insuficiente para ver esta página!"; exit;}

// Validamos aqui se o filtro de pesquisa está correto
if(!Filtro::validar($_POST['data'], $_POST['datainicial'], $_POST['datafinal'])){
	echo "-2Filtro de pesquisa inválido";
	exit;
}

/* Esvazia-se as datas customizadas caso o filtro não seja personalizado */
if($_POST['data'] != "CUSTOM_DATE"){
	$_POST['datainicial'] = "";
	$_POST['datafinal'] = "";
}

try{
	if($sistema->usuario->tem_adwords()){ // Verificamos se o cliente possui adwords configurado
		$_SESSION['palavras'] = $_POST['grupo'];

		// Separa o id do grupo do id da campanha
		// $idGrupo_idCampanha[0] -> Id do Grupo
		// $idGrupo_idCampanha[1] -> Id da Campanha
		$idGrupo_idCampanha = explode("|%|", $_POST['grupo']);

		// Faz a consulta dos grupos
		$resultado = $sistema->adwords->consultar_palavras_negativas_cliente($sistema->usuario->id_adwords, $sistema->usuario->consultoria, isset($_POST['display']) & $_POST['display'] == 's', $idGrupo_idCampanha[0], $_POST['data'], $_POST['datainicial'], $_POST['datafinal'], $sistema->usuario->moeda, $sistema->usuario->mostrar_somente_campanhas, $sistema->usuario->campanhas_visiveis, $idGrupo_idCampanha[1]);

		// Adicionamos ao resultado uma flag que indicará se o cliente é de consultoria
		array_unshift($resultado, $sistema->usuario->consultoria);
		echo json_encode_alt($resultado);
	}
	else{ // O adwords do cliente não está configurado, então retornamos um resultado vazio
		echo json_encode_alt(array($sistema->usuario->consultoria));
		exit;
	}
}
catch(Exception $e){
	$sistema->adwords->tratar_excecao($e);
}
?>